MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Enumerations | Functions | Variables

# src/output_internal.h File Reference

`#include "audio_format.h"`
`#include "pcm_buffer.h"`
`#include <glib.h>`
`#include <time.h>`

Go to the source code of this file.

## Data Structures
struct | audio_output
## Enumerations
enum | audio_output_command { AO_COMMAND_NONE = 0, AO_COMMAND_ENABLE, AO_COMMAND_DISABLE, AO_COMMAND_OPEN, AO_COMMAND_REOPEN, AO_COMMAND_CLOSE, AO_COMMAND_PAUSE, AO_COMMAND_DRAIN, AO_COMMAND_CANCEL, AO_COMMAND_KILL }
## Functions
static bool | audio_output_is_open (const struct audio_output *ao)
static bool | audio_output_command_is_finished (const struct audio_output *ao)
## Variables
struct notify | audio_output_client_notify
| Notify object used by the thread's client, i.e.

## Enumeration Type Documentation

enum audio_output_command

Enumerator:

  AO_COMMAND_NONE |
  AO_COMMAND_ENABLE |
  AO_COMMAND_DISABLE |
  AO_COMMAND_OPEN |
  AO_COMMAND_REOPEN | This command is invoked when the input audio format changes.
  AO_COMMAND_CLOSE |
  AO_COMMAND_PAUSE |
  AO_COMMAND_DRAIN | Drains the internal (hardware) buffers of the device. This operation may take a while to complete.
  AO_COMMAND_CANCEL |
  AO_COMMAND_KILL |

Definition at line 30 of file output_internal.h.

## Function Documentation

static bool audio_output_command_is_finished | ( | const struct audio_output * | ao | ) | `[inline, static]`

Definition at line 237 of file output_internal.h.

static bool audio_output_is_open | ( | const struct audio_output * | ao | ) | `[inline, static]`

Definition at line 231 of file output_internal.h.

## Variable Documentation

struct notify audio_output_client_notify

Notify object used by the thread's client, i.e.

we will send a notify signal to this object, expecting the caller to wait on it.